<?xml version="1.0" encoding="utf-8"?>
<RelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@color/white"
    android:orientation="vertical">

    <View
        android:id="@+id/view"
        android:layout_width="match_parent"
        android:layout_height="0dp" />

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:layout_above="@+id/rootBottomLayout"
        android:layout_below="@+id/view"
        android:orientation="vertical">

        <LinearLayout
            android:id="@+id/statusLayout"
            android:layout_width="match_parent"
            android:layout_height="44dp"
            android:gravity="center_vertical"
            android:orientation="horizontal">

            <LinearLayout
                android:id="@+id/backBtn"
                android:layout_width="44dp"
                android:layout_height="44dp"
                android:layout_marginStart="6dp"
                android:layout_marginEnd="6dp"
                android:background="@drawable/dr_click_effect_oval_transparent"
                android:gravity="center">

                <ImageView
                    android:layout_width="24dp"
                    android:layout_height="24dp"
                    android:src="@drawable/back_black" />

            </LinearLayout>


            <TextView
                android:id="@+id/title"
                style="@style/TextViewFont_PopMedium"
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_weight="1"
                android:gravity="center_vertical"
                android:text="@string/selected_page"
                android:textColor="@color/black"
                android:textSize="16sp" />

            <LinearLayout
                android:id="@+id/selectAllBtn"
                android:layout_width="44dp"
                android:layout_height="44dp"
                android:layout_marginStart="8dp"
                android:layout_marginEnd="8dp"
                android:background="@drawable/dr_click_effect_oval_transparent"
                android:gravity="center">

                <ImageView
                    android:id="@+id/selectAll"
                    android:layout_width="24dp"
                    android:layout_height="24dp"
                    android:src="@drawable/icon_select_all_black" />

            </LinearLayout>

        </LinearLayout>

        <include
            android:id="@+id/loadingRoot"
            layout="@layout/layout_loading"
            android:visibility="gone" />

        <RelativeLayout
            android:id="@+id/splitListLayout"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:background="@color/bg_color"
            android:visibility="visible">

            <androidx.recyclerview.widget.RecyclerView
                android:id="@+id/splitRv"
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:layout_above="@+id/continue_now_btn"
                android:layout_margin="8dp"
                android:overScrollMode="never"
                android:scrollbars="none"
                app:layoutManager="androidx.recyclerview.widget.GridLayoutManager"
                app:spanCount="2"
                tools:itemCount="6"
                tools:listitem="@layout/adapter_split_page_item" />

            <LinearLayout
                android:id="@+id/continue_now_btn"
                android:layout_width="match_parent"
                android:layout_height="48dp"
                android:layout_alignParentBottom="true"
                android:layout_marginStart="16dp"
                android:layout_marginTop="8dp"
                android:layout_marginEnd="16dp"
                android:layout_marginBottom="16dp"
                android:background="@drawable/dr_btn_not_clickable_bg"
                android:gravity="center">

                <TextView
                    style="@style/TextViewFont_PopSemiBold"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="@string/convert"
                    android:textColor="@color/white"
                    android:textSize="16sp" />
            </LinearLayout>
        </RelativeLayout>
    </LinearLayout>

    <LinearLayout
        android:id="@+id/rootBottomLayout"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_alignParentBottom="true"
        android:background="@color/bg_color"
        android:orientation="horizontal">

    </LinearLayout>
</RelativeLayout>
